## GwyDataWindow

GwyDataWindow — Data display window

## Functions

GtkWidget * | gwy_data_window_new ()
GtkWidget * | gwy_data_window_get_data_view ()
GtkWidget * | gwy_data_window_get_color_axis ()
GtkWidget * | gwy_data_window_get_ruler ()
void | gwy_data_window_set_zoom ()
void | gwy_data_window_fit_to_screen ()
const gchar * | gwy_data_window_get_data_name ()
void | gwy_data_window_set_data_name ()
void | gwy_data_window_run_gradient_chooser ()
GtkWidget * | gwy_data_window_get_ul_corner_widget ()
void | gwy_data_window_set_ul_corner_widget ()

## Properties

GwyColorAxis * | color-axis | Read
char * | data-name | Read / Write
GwyDataView * | data-view | Read
GtkWidget * | ul-corner | Read / Write

## Types and Values

struct | GwyDataWindow
struct | GwyDataWindowClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GwyDataWindow

## Implemented Interfaces

GwyDataWindow implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwyui/gwyui.h>

## Description

GwyDataWindow encapsulates a GwyDataView together with other controls. You can create an image window for a data view with `gwy_data_window_new()`.

## Functions

### gwy_data_window_new()

    GtkWidget *
    gwy_data_window_new (void);

Creates a new data displaying window.

[constructor]

#### Returns

A newly created widget, as GtkWidget.

[transfer full]

### gwy_data_window_get_data_view()

    GtkWidget *
    gwy_data_window_get_data_view (GwyDataWindow *window);

Returns the data view widget an image window currently shows.

#### Parameters

window | A data view window. |

#### Returns

The currently shown data view.

[transfer none]

### gwy_data_window_get_color_axis()

    GtkWidget *
    gwy_data_window_get_color_axis (GwyDataWindow *window);

Returns the color axis widget part of an image window.

#### Parameters

window | A data view window. |

#### Returns

The color axis widget.

[transfer none]

### gwy_data_window_get_ruler()

    GtkWidget *
    gwy_data_window_get_ruler (GwyDataWindow *window,
                               GtkOrientation orientation);

Gets a ruler part of an image window.

#### Parameters

window | A data view window. |
orientation | Ruler orientation. |

#### Returns

The ruler widget.

[transfer none]

### gwy_data_window_set_zoom()

    void
    gwy_data_window_set_zoom (GwyDataWindow *window,
                              gint izoom);

Sets the zoom of an image window to `izoom` .

When `izoom` is -1 it zooms out; when `izoom` is 1 it zooms out. Otherwise the new zoom value is set to `izoom` /10000.

#### Parameters

window | An image window. |
izoom | The new zoom value (as an integer). |

### gwy_data_window_fit_to_screen()

    void
    gwy_data_window_fit_to_screen (GwyDataWindow *window);

Sets the zoom of data windows's data view in an attempt to make the window fit to the screen.

#### Parameters

window | A data view window. |

### gwy_data_window_get_data_name()

    const gchar *
    gwy_data_window_get_data_name (GwyDataWindow *window);

Gets the data name part of an image window's title.

#### Parameters

window | An image window. |

#### Returns

The data name as a string owned by the window.

### gwy_data_window_set_data_name()

    void
    gwy_data_window_set_data_name (GwyDataWindow *window,
                                   const gchar *data_name);

Sets the data name of an image window.

The data name is used in the window's title.

#### Parameters

window | An image window. |
data_name | New data name. |

### gwy_data_window_run_gradient_chooser()

    void
    gwy_data_window_run_gradient_chooser (GwyDataWindow *window);

Programmatically invokes the false colour gradient chooser of an image window.

If the chooser window is already shown, it is brought to focus. Otherwise it is created and shown as if the user selected the full gradient chooser from the GUI.

#### Parameters

window | An image window. |

### gwy_data_window_get_ul_corner_widget()

    GtkWidget *
    gwy_data_window_get_ul_corner_widget (GwyDataWindow *window);

Returns the upper left corner widget of `window` .

#### Parameters

window | An image window. |

#### Returns

The upper left corner widget as a GtkWidget, `NULL` if there is no such widget.

### gwy_data_window_set_ul_corner_widget()

    void
    gwy_data_window_set_ul_corner_widget (GwyDataWindow *window,
                                          GtkWidget *corner);

Sets the widget in upper left corner of an image window to `corner` .

#### Parameters

window | An image window. |
corner | A widget to set as upper left corner widget, many be `NULL` to just remove any eventual existing one. |

## Types and Values

### struct GwyDataWindow

    struct GwyDataWindow;

### struct GwyDataWindowClass

    struct GwyDataWindowClass {
        GtkWindowClass parent_class;
    };

## Property Details

### The `“color-axis”` property

      “color-axis”               GwyColorAxis *

Color axis widget displayed in the window.

Owner: GwyDataWindow

Flags: Read

### The `“data-name”` property

      “data-name”                char *

Data name used in window title.

Owner: GwyDataWindow

Flags: Read / Write

Default value: ""

### The `“data-view”` property

      “data-view”                GwyDataView *

Data view widget displayed in the window.

Owner: GwyDataWindow

Flags: Read

### The `“ul-corner”` property

      “ul-corner”                GtkWidget *

Widget in the upper left corner.

Owner: GwyDataWindow

Flags: Read / Write

## See Also

GwyDataView -- basic data display widget